import pygame
from pygame.locals import *
from icecreambeam import *

class Fireball(IceCreamBeam):
	def __init__(self, spritesheet):
		IceCreamBeam.__init__(self, spritesheet)
		
		self.image = spritesheet.get_image(Rect((320, 0), (64, 64)))
		self.image.set_colorkey(self.image.get_at((0, 0)), RLEACCEL)
		self.rect = Rect((0, 0), (64, 64))