import pygame
import data
from pygame.locals import *

class Spritesheet:
	def __init__(self):
		self.images = pygame.image.load(data.filepath('spritesheet.png'))
		self.images.convert()
	
	def get_image(self, source):
		image = pygame.surface.Surface((source.size))
		image.blit(self.images, (0, 0), source)
		return image
		